Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class XMLHelper

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.XMLHelper

public class XMLHelper
extends Object

Field Summary
`static String` | `ALL_TAG`
`static String` | `ALWAYS`
`static String` | `AND_TAG`
`static String` | `AT_LEAST_TAG`
`static String` | `BETWEEN_TAG`
`static String` | `CAT_EQ`
`static String` | `CURR_TYPE`
`static String` | `CURR_VALUE`
`static String` | `EACH_SET_TAG`
`static String` | `EXACTLY_TAG`
`static String` | `FIXED_DISCOUNT_MOD_TAG`
`static String` | `FIXED_PRICE_MOD_TAG`
`static int` | `I_ALL_TAG`
`static int` | `I_ALWAYS`
`static int` | `I_AND_TAG`
`static int` | `I_AT_LEAST_TAG`
`static int` | `I_BETWEEN_TAG`
`static int` | `I_CAT_EQ`
`static int` | `I_CURR_TYPE`
`static int` | `I_CURR_VALUE`
`static int` | `I_EACH_SET_TAG`
`static int` | `I_EXACTLY_TAG`
`static int` | `I_FIXED_DISCOUNT_MOD_TAG`
`static int` | `I_FIXED_PRICE_MOD_TAG`
`static int` | `I_INDIV_QUAL_TAG`
`static int` | `I_ITEM_DISCOUNT_RULE_TAG`
`static int` | `I_MAX`
`static int` | `I_MIN`
`static int` | `I_OR_TAG`
`static int` | `I_ORDER_DISCOUNT_RULE_TAG`
`static int` | `I_ORDER_QUAL_TAG`
`static int` | `I_PERCENT_DISCOUNT_MOD_TAG`
`static int` | `I_SET_ALL_TAG`
`static int` | `I_SET_LIMIT_TAG`
`static int` | `I_SET_QUAL_TAG`
`static int` | `I_SKU_EQ`
`static int` | `I_SUB_GE`
`static int` | `I_SUB_GT`
`static int` | `I_SUB_LE`
`static int` | `I_SUB_LT`
`static int` | `I_TARGET_COND_EXACTLY_TAG`
`static int` | `I_TARGET_COND_TAG`
`static int` | `I_TARGET_COND_UP_TO_TAG`
`static int` | `I_TARGET_EACH_QUAL_TAG`
`static int` | `I_TARGET_SHIPPING`
`static int` | `I_TARGET_TAG`
`static int` | `I_UP_TO_TAG`
`static String` | `INDIV_QUAL_TAG`
`static String` | `ITEM_DISCOUNT_RULE_TAG`
`static String` | `MAX`
`static String` | `MIN`
`static String` | `OR_TAG`
`static String` | `ORDER_DISCOUNT_RULE_TAG`
`static String` | `ORDER_QUAL_TAG`
`static String` | `PERCENT_DISCOUNT_MOD_TAG`
`static String` | `SET_ALL_TAG`
`static String` | `SET_LIMIT_TAG`
`static String` | `SET_QUAL_TAG`
`static String` | `SKU_EQ`
`static String` | `SUB_GE`
`static String` | `SUB_GT`
`static String` | `SUB_LE`
`static String` | `SUB_LT`
`static String` | `TARGET_COND_EXACTLY_TAG`
`static String` | `TARGET_COND_TAG`
`static String` | `TARGET_COND_UP_TO_TAG`
`static String` | `TARGET_EACH_QUAL_TAG`
`static String` | `TARGET_SHIPPING`
`static String` | `TARGET_TAG`
`static String` | `UP_TO_TAG`

Constructor Summary
`XMLHelper()`

Method Summary
`static int` | `getInt(String string)`
`static String` | `getString(int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITEM_DISCOUNT_RULE_TAG

    public static final String ITEM_DISCOUNT_RULE_TAG

See Also:
  Constant Field Values

### ORDER_DISCOUNT_RULE_TAG

    public static final String ORDER_DISCOUNT_RULE_TAG

See Also:
  Constant Field Values

### INDIV_QUAL_TAG

    public static final String INDIV_QUAL_TAG

See Also:
  Constant Field Values

### ALL_TAG

    public static final String ALL_TAG

See Also:
  Constant Field Values

### AT_LEAST_TAG

    public static final String AT_LEAST_TAG

See Also:
  Constant Field Values

### BETWEEN_TAG

    public static final String BETWEEN_TAG

See Also:
  Constant Field Values

### EXACTLY_TAG

    public static final String EXACTLY_TAG

See Also:
  Constant Field Values

### UP_TO_TAG

    public static final String UP_TO_TAG

See Also:
  Constant Field Values

### SET_QUAL_TAG

    public static final String SET_QUAL_TAG

See Also:
  Constant Field Values

### SET_LIMIT_TAG

    public static final String SET_LIMIT_TAG

See Also:
  Constant Field Values

### EACH_SET_TAG

    public static final String EACH_SET_TAG

See Also:
  Constant Field Values

### SET_ALL_TAG

    public static final String SET_ALL_TAG

See Also:
  Constant Field Values

### TARGET_TAG

    public static final String TARGET_TAG

See Also:
  Constant Field Values

### TARGET_COND_TAG

    public static final String TARGET_COND_TAG

See Also:
  Constant Field Values

### TARGET_EACH_QUAL_TAG

    public static final String TARGET_EACH_QUAL_TAG

See Also:
  Constant Field Values

### TARGET_SHIPPING

    public static final String TARGET_SHIPPING

See Also:
  Constant Field Values

### TARGET_COND_UP_TO_TAG

    public static final String TARGET_COND_UP_TO_TAG

See Also:
  Constant Field Values

### TARGET_COND_EXACTLY_TAG

    public static final String TARGET_COND_EXACTLY_TAG

See Also:
  Constant Field Values

### ORDER_QUAL_TAG

    public static final String ORDER_QUAL_TAG

See Also:
  Constant Field Values

### SKU_EQ

    public static final String SKU_EQ

See Also:
  Constant Field Values

### CAT_EQ

    public static final String CAT_EQ

See Also:
  Constant Field Values

### SUB_GT

    public static final String SUB_GT

See Also:
  Constant Field Values

### SUB_GE

    public static final String SUB_GE

See Also:
  Constant Field Values

### SUB_LT

    public static final String SUB_LT

See Also:
  Constant Field Values

### SUB_LE

    public static final String SUB_LE

See Also:
  Constant Field Values

### CURR_TYPE

    public static final String CURR_TYPE

See Also:
  Constant Field Values

### CURR_VALUE

    public static final String CURR_VALUE

See Also:
  Constant Field Values

### AND_TAG

    public static final String AND_TAG

See Also:
  Constant Field Values

### OR_TAG

    public static final String OR_TAG

See Also:
  Constant Field Values

### FIXED_DISCOUNT_MOD_TAG

    public static final String FIXED_DISCOUNT_MOD_TAG

See Also:
  Constant Field Values

### FIXED_PRICE_MOD_TAG

    public static final String FIXED_PRICE_MOD_TAG

See Also:
  Constant Field Values

### PERCENT_DISCOUNT_MOD_TAG

    public static final String PERCENT_DISCOUNT_MOD_TAG

See Also:
  Constant Field Values

### MIN

    public static final String MIN

See Also:
  Constant Field Values

### MAX

    public static final String MAX

See Also:
  Constant Field Values

### ALWAYS

    public static final String ALWAYS

See Also:
  Constant Field Values

### I_ITEM_DISCOUNT_RULE_TAG

    public static final int I_ITEM_DISCOUNT_RULE_TAG

See Also:
  Constant Field Values

### I_ORDER_DISCOUNT_RULE_TAG

    public static final int I_ORDER_DISCOUNT_RULE_TAG

See Also:
  Constant Field Values

### I_INDIV_QUAL_TAG

    public static final int I_INDIV_QUAL_TAG

See Also:
  Constant Field Values

### I_ALL_TAG

    public static final int I_ALL_TAG

See Also:
  Constant Field Values

### I_AT_LEAST_TAG

    public static final int I_AT_LEAST_TAG

See Also:
  Constant Field Values

### I_BETWEEN_TAG

    public static final int I_BETWEEN_TAG

See Also:
  Constant Field Values

### I_EXACTLY_TAG

    public static final int I_EXACTLY_TAG

See Also:
  Constant Field Values

### I_UP_TO_TAG

    public static final int I_UP_TO_TAG

See Also:
  Constant Field Values

### I_SET_QUAL_TAG

    public static final int I_SET_QUAL_TAG

See Also:
  Constant Field Values

### I_SET_LIMIT_TAG

    public static final int I_SET_LIMIT_TAG

See Also:
  Constant Field Values

### I_EACH_SET_TAG

    public static final int I_EACH_SET_TAG

See Also:
  Constant Field Values

### I_SET_ALL_TAG

    public static final int I_SET_ALL_TAG

See Also:
  Constant Field Values

### I_TARGET_TAG

    public static final int I_TARGET_TAG

See Also:
  Constant Field Values

### I_TARGET_COND_TAG

    public static final int I_TARGET_COND_TAG

See Also:
  Constant Field Values

### I_TARGET_EACH_QUAL_TAG

    public static final int I_TARGET_EACH_QUAL_TAG

See Also:
  Constant Field Values

### I_TARGET_SHIPPING

    public static final int I_TARGET_SHIPPING

See Also:
  Constant Field Values

### I_TARGET_COND_UP_TO_TAG

    public static final int I_TARGET_COND_UP_TO_TAG

See Also:
  Constant Field Values

### I_TARGET_COND_EXACTLY_TAG

    public static final int I_TARGET_COND_EXACTLY_TAG

See Also:
  Constant Field Values

### I_ORDER_QUAL_TAG

    public static final int I_ORDER_QUAL_TAG

See Also:
  Constant Field Values

### I_SKU_EQ

    public static final int I_SKU_EQ

See Also:
  Constant Field Values

### I_CAT_EQ

    public static final int I_CAT_EQ

See Also:
  Constant Field Values

### I_SUB_GT

    public static final int I_SUB_GT

See Also:
  Constant Field Values

### I_SUB_GE

    public static final int I_SUB_GE

See Also:
  Constant Field Values

### I_SUB_LT

    public static final int I_SUB_LT

See Also:
  Constant Field Values

### I_SUB_LE

    public static final int I_SUB_LE

See Also:
  Constant Field Values

### I_CURR_TYPE

    public static final int I_CURR_TYPE

See Also:
  Constant Field Values

### I_CURR_VALUE

    public static final int I_CURR_VALUE

See Also:
  Constant Field Values

### I_AND_TAG

    public static final int I_AND_TAG

See Also:
  Constant Field Values

### I_OR_TAG

    public static final int I_OR_TAG

See Also:
  Constant Field Values

### I_FIXED_DISCOUNT_MOD_TAG

    public static final int I_FIXED_DISCOUNT_MOD_TAG

See Also:
  Constant Field Values

### I_FIXED_PRICE_MOD_TAG

    public static final int I_FIXED_PRICE_MOD_TAG

See Also:
  Constant Field Values

### I_PERCENT_DISCOUNT_MOD_TAG

    public static final int I_PERCENT_DISCOUNT_MOD_TAG

See Also:
  Constant Field Values

### I_MIN

    public static final int I_MIN

See Also:
  Constant Field Values

### I_MAX

    public static final int I_MAX

See Also:
  Constant Field Values

### I_ALWAYS

    public static final int I_ALWAYS

See Also:
  Constant Field Values

Constructor Detail

### XMLHelper

    public XMLHelper()

Method Detail

### getInt

    public static int getInt(String string)

### getString

    public static String getString(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved